<?php
/**
 * Plugin Name: WPGetAPI Pro
 * Description: An extension plugin for WPGetAPI that includes enhancements and extra features.
 * Author: wpgetapi
 * Version: 0.0.1
 * Text Domain: 'wpgetapi-extras'
 * Domain Path: languages
 * License: GPL2 or later
 * Network: true
 * 
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

/**
 * Main Class.
 *
 * @since 1.0.0
 */
final class WpGetApi_Extras {

	/**
	 * @var The one true instance
	 * @since 1.0.0
	 */
	protected static $_instance = null;

	public $version = '0.0.1';

	/**
	 * Main Instance.
	 */
	public static function instance() {
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}
		return self::$_instance;
	}

	/**
	 * Throw error on object clone.
	 *
	 * @since 1.0.0
	 * @access protected
	 * @return void
	 */
	public function __clone() {
		_doing_it_wrong( __FUNCTION__, __( 'Cheatin&#8217; huh?', 'wpgetapi-extras' ), '1.0.0' );
	}

	/**
	 * Disable unserializing of the class.
	 * @since 1.0.0
	 */
	public function __wakeup() {
		_doing_it_wrong( __FUNCTION__, __( 'Cheatin&#8217; huh?', 'wpgetapi-extras' ), '1.0.0' );
	}

	/**
	 * 
	 * @since 1.0.0
	 */
	public function __construct() {

		$this->define_constants();
		$this->includes();

		do_action( 'wpgetapi_extras_loaded' );
	}

	/**
	 * Define Constants.
	 * @since  1.0.0
	 */
	private function define_constants() {
		$this->define( 'WPGETAPIEXTRASDIR',plugin_dir_path( __FILE__ ) );
		$this->define( 'WPGETAPIEXTRASURL',plugin_dir_url( __FILE__ ) );
		$this->define( 'WPGETAPIEXTRASBASENAME', plugin_basename( __FILE__ ) );
		$this->define( 'WPGETAPIEXTRASVERSION', $this->version );
	}


	/**
	 * Define constant if not already set.
	 * @since  1.0.0
	 */
	private function define( $name, $value ) {
		if ( ! defined( $name ) ) {
			define( $name, $value );
		}
	}


	/**
	 * Include required files.
	 * @since  1.0.0
	 */
	public function includes() {
		
		//include_once ( WPGETAPIEXTRASDIR . 'includes/class-extend.php' );
		
	}

}


/**
 * Run the plugin.
 */
function WpGetApi_Extras() {
	return WpGetApi_Extras::instance();
}
add_action( 'wpgetapi_loaded', 'WpGetApi_Extras' );


function wpgetapi_old_admin_notice() {
    ?>
    <div class="notice notice-error is-dismissible">
        <p>This version of <b>WPGetAPI Pro</b> is no longer supported and will not work.<br>Please <a href="https://wpgetapi.com/login/?version=old">login</a> to your account to update the plugin from there. If you need assistance, please <a href="https://wpgetapi.com/support-ticket/?version=old">contact us</a> and we can assist.</p>
    </div>
    <?php
}
add_action( 'admin_notices', 'wpgetapi_old_admin_notice' );